summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-17 13:41:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-17 13:41:57 +0000
commite4284378c61eeae49dc5ac22d0b682069a6d7bac (patch)
tree8ec653edf94b67639804ec33eaa76f05f1ae6c36 /dev-python
parent3b3002085d4fce2a8aaf52e579e31a54ceffe82f (diff)
downloadbaldeagleos-repo-e4284378c61eeae49dc5ac22d0b682069a6d7bac.tar.gz
baldeagleos-repo-e4284378c61eeae49dc5ac22d0b682069a6d7bac.tar.xz
baldeagleos-repo-e4284378c61eeae49dc5ac22d0b682069a6d7bac.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/black/Manifest1
-rw-r--r--dev-python/black/black-21.11_beta0.ebuild60
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.20.7.ebuild59
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.23.7.ebuild64
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.56.1.ebuild54
-rw-r--r--dev-python/cleo/cleo-0.8.1.ebuild2
-rw-r--r--dev-python/clikit/clikit-0.6.2.ebuild2
-rw-r--r--dev-python/crashtest/crashtest-0.3.1.ebuild2
-rw-r--r--dev-python/debugpy/debugpy-1.5.1.ebuild2
-rw-r--r--dev-python/django-taggit/Manifest1
-rw-r--r--dev-python/django-taggit/django-taggit-2.0.0.ebuild28
-rw-r--r--dev-python/eventlet/Manifest1
-rw-r--r--dev-python/eventlet/eventlet-0.33.0.ebuild51
-rw-r--r--dev-python/fs/Manifest1
-rw-r--r--dev-python/fs/fs-2.4.14.ebuild58
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.31.0.ebuild45
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.24.5.ebuild62
-rw-r--r--dev-python/ipykernel/ipykernel-6.5.0.ebuild2
-rw-r--r--dev-python/isort/isort-5.9.3.ebuild2
-rw-r--r--dev-python/jupyter_client/jupyter_client-7.0.6.ebuild2
-rw-r--r--dev-python/markdown/Manifest1
-rw-r--r--dev-python/markdown/markdown-3.3.5.ebuild35
-rw-r--r--dev-python/matplotlib/matplotlib-3.5.0.ebuild2
-rw-r--r--dev-python/miniupnpc/Manifest4
-rw-r--r--dev-python/miniupnpc/files/miniupnpc-2.0.20171102-shared-lib.patch41
-rw-r--r--dev-python/miniupnpc/miniupnpc-2.2.1.ebuild34
-rw-r--r--dev-python/miniupnpc/miniupnpc-2.2.2.ebuild34
-rw-r--r--dev-python/miniupnpc/miniupnpc-2.2.3.ebuild2
-rw-r--r--dev-python/mypy/mypy-0.910-r1.ebuild2
-rw-r--r--dev-python/nose2/nose2-0.10.0.ebuild2
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-6.4.6.ebuild101
-rw-r--r--dev-python/numpy/numpy-1.21.2-r1.ebuild2
-rw-r--r--dev-python/os-client-config/os-client-config-2.1.0-r1.ebuild2
-rw-r--r--dev-python/os-client-config/os-client-config-2.1.0.ebuild28
-rw-r--r--dev-python/pastel/pastel-0.2.1.ebuild2
-rw-r--r--dev-python/prettytable/prettytable-2.4.0-r1.ebuild2
-rw-r--r--dev-python/pydevd/pydevd-2.7.0.ebuild2
-rw-r--r--dev-python/pylama/pylama-7.7.1-r1.ebuild2
-rw-r--r--dev-python/pylev/pylev-1.4.0.ebuild2
-rw-r--r--dev-python/pylint/Manifest1
-rw-r--r--dev-python/pylint/pylint-2.10.2.ebuild2
-rw-r--r--dev-python/pylint/pylint-2.9.6.ebuild57
-rw-r--r--dev-python/pytest-lazy-fixture/pytest-lazy-fixture-0.6.3.ebuild2
-rw-r--r--dev-python/python-glanceclient/python-glanceclient-3.2.2-r1.ebuild2
-rw-r--r--dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r1.ebuild2
-rw-r--r--dev-python/pytzdata/pytzdata-2020.1-r1.ebuild2
-rw-r--r--dev-python/resolvelib/Manifest2
-rw-r--r--dev-python/resolvelib/resolvelib-0.7.1.ebuild25
-rw-r--r--dev-python/resolvelib/resolvelib-0.8.0.ebuild25
-rw-r--r--dev-python/resolvelib/resolvelib-0.8.1.ebuild2
-rw-r--r--dev-python/rich/Manifest1
-rw-r--r--dev-python/rich/rich-10.14.0.ebuild27
-rw-r--r--dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild2
-rw-r--r--dev-python/snowballstemmer/Manifest1
-rw-r--r--dev-python/snowballstemmer/snowballstemmer-2.2.0.ebuild17
-rw-r--r--dev-python/sphinxcontrib-doxylink/Manifest1
-rw-r--r--dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.10.ebuild37
-rw-r--r--dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.ebuild2
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-2.63.0.ebuild62
-rw-r--r--dev-python/sybil/sybil-2.0.1.ebuild2
-rw-r--r--dev-python/testfixtures/testfixtures-6.18.3.ebuild2
-rw-r--r--dev-python/tzlocal/tzlocal-4.1.ebuild2
-rw-r--r--dev-python/untangle/untangle-1.1.1.ebuild2
-rw-r--r--dev-python/uritemplate/Manifest2
-rw-r--r--dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild30
-rw-r--r--dev-python/uritemplate/uritemplate-4.0.0.ebuild17
-rw-r--r--dev-python/uritemplate/uritemplate-4.1.0.ebuild2
-rw-r--r--dev-python/utidylib/utidylib-0.7-r2.ebuild2
-rw-r--r--dev-python/warlock/warlock-1.3.3.ebuild2
-rw-r--r--dev-python/websockets/websockets-10.0.ebuild2
-rw-r--r--dev-python/werkzeug/werkzeug-2.0.2.ebuild2
-rw-r--r--dev-python/zope-component/zope-component-4.4.1.ebuild2
79 files changed, 773 insertions, 374 deletions
diff --git a/dev-python/black/Manifest b/dev-python/black/Manifest
index 2d59964ed751..515f99ea8a9a 100644
--- a/dev-python/black/Manifest
+++ b/dev-python/black/Manifest
@@ -1,2 +1,3 @@
DIST black-21.10b0.tar.gz 1171813 BLAKE2B 71bf628aa3b2b0a73c53446061d07ed0074c2e136c6a4dd09feb4b7dcc2b8c8045417e2c6a049a3051bb2e8fc368037c540851384d00ec89ad943d0c8f949c40 SHA512 0e44fe6c34d75f135996bcd62768f3ea02f5ba996992f0173cd28977f6a9ed4fde975e7433439f3b724c54555867f91edcd167fc1c5273308a613a51905323c8
+DIST black-21.11b0.tar.gz 1198297 BLAKE2B 658f20ea9d61e64a34a61663ba4a0b0a5b3329803abab091679a605ca884b918aa0029f23cb02f4f0e150212ec25dad12985a7a2b3c95763f31ca7d4c823b653 SHA512 f3608008893747abbc2d47bf098d963dede57104d15312de6fd86f2f0c025da39a83043f63b29a208350f4eb44cbb7e47a1c8c38ef50414e9c8969feea2edbfc
DIST black-21.9b0.tar.gz 1167869 BLAKE2B 31933de69cc34e23e14b0fdba33da844697816cd3917227c1a16c4d1595435d3715405f7f1df820953e83c30c3947448389a703ee662548226dfc2d278b87844 SHA512 0c8025d64ef9e5da8ad73b1f265b912bcb3d8cb00d8a426a39dd4c70505a77150e02a7f26e3d6842456eea367da9fad29d08f586b175d57d66a09cf389442ed0
diff --git a/dev-python/black/black-21.11_beta0.ebuild b/dev-python/black/black-21.11_beta0.ebuild
new file mode 100644
index 000000000000..574d2904964e
--- /dev/null
+++ b/dev-python/black/black-21.11_beta0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+MY_PV="${PV//_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="The uncompromising Python code formatter"
+HOMEPAGE="https://black.readthedocs.io/en/stable/ https://github.com/psf/black"
+SRC_URI="https://github.com/psf/${PN}/archive/${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/click-8.0.0[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ <dev-python/pathspec-1[${PYTHON_USEDEP}]
+ <dev-python/tomli-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/aiohttp-3.7.4[${PYTHON_USEDEP}]
+ dev-python/aiohttp-cors[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${MY_PV}
+
+src_prepare() {
+ # remove unnecessary bind that worked around broken 6.1.0/6.2.0 releases
+ sed -i -e '/setuptools_scm/s:~=:>=:' \
+ -e 's/setuptools_scm\[toml\]>=[0-9.]*/setuptools_scm[toml]/' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cp "${S}"/src/black_primer/primer.json \
+ "${BUILD_DIR}"/lib/black_primer/primer.json || die
+ distutils_install_for_testing
+ epytest -m "not python2"
+}
+
+pkg_postinst() {
+ optfeature "blackd - HTTP API for black" dev-python/aiohttp dev-python/aiohttp-cors
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 095057bd215d..5c51b11d31c5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.19.12.tar.gz 436654 BLAKE2B f92e756bc9f98105e3126e41cf0d6fab948bbd7
DIST boto3-1.19.5.tar.gz 433567 BLAKE2B 52c12a4dd18d6f02326f8002b345cc5df224455fc862daa700326ae1df258979211d2753f01e1a106f237de393e483dc8926bb4ef0e08bafa575f20811dccd55 SHA512 fad05102f0c3e7e30a3342009f6b3ae28f52758f17a0c22b4da9a03dd10d7f9149ea2ec0119f55ec7280824bd8173653271821e82fcd54ef9fb9161b2d62df70
DIST boto3-1.20.5.tar.gz 439166 BLAKE2B c140e15e497e6cdf6b4b77bb99e0a0f5ac01d5b5793f8bfb210b52bbc09e39e6fe06a957951375e0795210dc1c3b2a0afd2f498bc88e449d9e6846f2b357f016 SHA512 2823466e4851684253d4ce42a8c34e5cbdad6d04c823040fe2cebdf0cffb14d5d3f40e28d57ebec14533fab04ba74f27c25f078ddb8791b8f52d0424e11b39fc
DIST boto3-1.20.6.tar.gz 440133 BLAKE2B b154714261372cebb8643d529b66fe3a42d30e056cf2a454092d598c51d0cdef723980834be6a36abb892d3022ae8ef67053b22bb176f540e67c3f37422155d8 SHA512 d8d66a761f03beeca10fea8446de1136d418a93b21065aebfefcafe2abfd9b5bbfa243594f54647ad80547e48348086e2be2de129b89f9ca71f308579f11a0b7
+DIST boto3-1.20.7.tar.gz 440428 BLAKE2B f1b2b36799e6c22a40c04226443f15f9174d68a02d2f731df84f6ff0962158e9d940ae5bc04d25fe99a74f105946026ccb66547838734294d649d661071c1e3b SHA512 85493a85789caa5453a4dafa1472c8ecd75c05a819227909092ae03690243eb103c1588cb10e5e5277ab9df49673b9b54fda064a412bdcf6b9e11238b277f450
diff --git a/dev-python/boto3/boto3-1.20.7.ebuild b/dev-python/boto3/boto3-1.20.7.ebuild
new file mode 100644
index 000000000000..ace657bcbe4d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.20.7.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ee20dd3f837e..31e360609a83 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.22.12.tar.gz 8343683 BLAKE2B df7b2c86f226df14dc8181e8506acc7dd66
DIST botocore-1.22.5.tar.gz 8301083 BLAKE2B 91f9d38e7c5bcb0b8f58c04547ad45489f58d2240c6b7301cf632969a4a73cf4a1d51c8c68c8def27653c10041d2163ad7ca800dcf6fd07972b506bf2566cae3 SHA512 710a9eeee03dc79ca4ffacc4974f09ca769e1e3b8cb143f6f0349240dd8c2af8ee526a1dadb7310a26019363f683fc4149cb4c73d8b94a856a384fab7f84fb5c
DIST botocore-1.23.5.tar.gz 8374467 BLAKE2B 467092e7d8aa5ccb756132669049865445a47205913964c1c944b20caaf100b1efdd1bf3af9c5416ff079b487e6d4d08ffe6208e2b352d09655cc5be21c88739 SHA512 6afca19b724f9019f21e5993ce970d605b95d31c1a4e969ec1b4080510a5a120b3fa0cfd5ade973a9203bd6b7983a3dbca2f7a03108a9167392efd60d5e2fe9b
DIST botocore-1.23.6.tar.gz 8387968 BLAKE2B 415a177d591a0ef369f17b8f02563be0fb53bc4e65c2767f41ca11300939585a10146874b6ac5297cdd3dcb36cf6fd2065fd09f3c612c4ba1d954b03a5b15579 SHA512 a46e45b7bb67d7c4bcc5508f38448b9ed3778ed6b6080239459b22b7f753adaf12e8d64496f7d7c71b33bb17ae1744000e9269ea0f545286e56fabe39e7f0340
+DIST botocore-1.23.7.tar.gz 8391467 BLAKE2B dd6cad44c1b8109b76c44bfffa45e74da0fbeaa027429860640e33134dc5f6e5bb813b46d8b662d80b89af46d437c6fb962f0e0ab1edbeca3ee790f3b6d029bf SHA512 a3270da3b6d906bc2372af221400e14039868598ccd56f40f976bcc2638f300ae9990ff367f76e5b5cdf8d46a8a37716865f9a40ca7e79b73a5b8dbcb2b1af7f
diff --git a/dev-python/botocore/botocore-1.23.7.ebuild b/dev-python/botocore/botocore-1.23.7.ebuild
new file mode 100644
index 000000000000..43b65ed32e9b
--- /dev/null
+++ b/dev-python/botocore/botocore-1.23.7.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 9b2e7485c9f3..5276fd99b086 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.54.3.tar.gz 7806470 BLAKE2B b61cb4b46e7c9d04aa70d2542e2aee0d029cc265ca3b85d9bd1c9ddcf2d22a56b28d74f27d6ccf5348cef7224e1ca9d1efec3e5a7b478e8bb87afcb0d39b3da8 SHA512 40e593f0bf092dafca7d7a801deaf2e09c37f4421d58b9244a2da533c3079da076dab70cb974868fd3eb9300ef69897414b03854f8e8fee139e1f5b4781795fc
DIST cfn-lint-0.54.4.tar.gz 7835716 BLAKE2B 1709adda09a08b02f4a2637af1ed2a43c096d8f9eef91b3cfbac55365e0910be64c632e28e403356742396b72a4af6c88740b27d13a67b62b5f5af98c8639e43 SHA512 f31b8fc407adf75b1eb54a29719b39298494efcdba65e68610e28ca1d066dfdb3fa051e8a90fe589793683c01e49d1bab30832255153e8932bd9caca96b54441
DIST cfn-lint-0.56.0.tar.gz 8069291 BLAKE2B 6a6b0481f857e3360d2abeb372415a43ae59ed54f2c1ef08ea079f32442bea9f30a7222233cfadd398922994bc70aa78e92b8807d7386ca4b979548622d3e5f4 SHA512 f12ca4ba831c32d7c9c8079ed9d59baf6346a2c4a09cf2af0a8b258dc551b381983cb346800b37e6df3022fbb6f09ee186b44bb9ba3e0a2713c8faabce83f67b
+DIST cfn-lint-0.56.1.tar.gz 8095525 BLAKE2B a9db57f17c0f5bcc0950aa61b109488154dfb67997224f7c49f35c324ada7e4881ab2bd2048df344b78668db5e26eb365712cc0a1b8d2b2349cc53c7e97b35b1 SHA512 0857139094fcfd8d935c526986319a67cddb7fc42ec1297b29f797299699d068ddbb0fdd30736b2ba1b647c905c6c7be4946915d98a23119fdb6bb70b23adef1
diff --git a/dev-python/cfn-lint/cfn-lint-0.56.1.ebuild b/dev-python/cfn-lint/cfn-lint-0.56.1.ebuild
new file mode 100644
index 000000000000..16397777fde5
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.56.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-lint/"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.40.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/cleo/cleo-0.8.1.ebuild b/dev-python/cleo/cleo-0.8.1.ebuild
index 30eb2f397a17..2c857cdf3889 100644
--- a/dev-python/cleo/cleo-0.8.1.ebuild
+++ b/dev-python/cleo/cleo-0.8.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/sdispater/cleo/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
BDEPEND="
test? (
diff --git a/dev-python/clikit/clikit-0.6.2.ebuild b/dev-python/clikit/clikit-0.6.2.ebuild
index b07742a42e20..1961c0521aac 100644
--- a/dev-python/clikit/clikit-0.6.2.ebuild
+++ b/dev-python/clikit/clikit-0.6.2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/sdispater/clikit/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
RDEPEND="
dev-python/pastel[${PYTHON_USEDEP}]
diff --git a/dev-python/crashtest/crashtest-0.3.1.ebuild b/dev-python/crashtest/crashtest-0.3.1.ebuild
index c0f709b189d3..efadecbc1818 100644
--- a/dev-python/crashtest/crashtest-0.3.1.ebuild
+++ b/dev-python/crashtest/crashtest-0.3.1.ebuild
@@ -13,6 +13,6 @@ SRC_URI="https://github.com/sdispater/crashtest/archive/${PV}.tar.gz -> ${P}.tar
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
distutils_enable_tests pytest
diff --git a/dev-python/debugpy/debugpy-1.5.1.ebuild b/dev-python/debugpy/debugpy-1.5.1.ebuild
index cb9e6371cbb3..a2fea9f5a6d1 100644
--- a/dev-python/debugpy/debugpy-1.5.1.ebuild
+++ b/dev-python/debugpy/debugpy-1.5.1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv sparc x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv sparc x86"
# There is not enough time in the universe for this test suite
RESTRICT="test"
diff --git a/dev-python/django-taggit/Manifest b/dev-python/django-taggit/Manifest
index 8a817f56af87..351560cf2e8d 100644
--- a/dev-python/django-taggit/Manifest
+++ b/dev-python/django-taggit/Manifest
@@ -1 +1,2 @@
DIST django-taggit-1.5.1.tar.gz 52766 BLAKE2B 59892ba591ad5cbc40a7515a6427722d7cb58e2daadec579b1c08dcc3522e24e041cbe06c953c3717cdf3db50aef7ff9fb5b4eac00344e457b61797745638107 SHA512 8e7afefd8f0654340e234f7bd1cc3684b3e5d1f4d94d17c79ed8fb82096c21a809e7f8db2fea9509d45c3f2bdc5e8ed52fb0823779b0a039f87528642803725b
+DIST django-taggit-2.0.0.tar.gz 55042 BLAKE2B cb4d3c8b32ba524eb0c59b447155b818c30ed77ec95a76c7412bccf109d421f2628fb40c8bb65d2c845351c8e8ed77605c0e5d77ac1ddcff6cddd5248f2fcdc6 SHA512 9cffde5a0de170e08ff93b245873b02a4868e67ea946c6b9997b782fecb8f71418dddc702ca283d45e8c1685a4a45143aa6c726de187410b9a89afe2efadd190
diff --git a/dev-python/django-taggit/django-taggit-2.0.0.ebuild b/dev-python/django-taggit/django-taggit-2.0.0.ebuild
new file mode 100644
index 000000000000..10f267a5160b
--- /dev/null
+++ b/dev-python/django-taggit/django-taggit-2.0.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Simple tagging for Django"
+HOMEPAGE="https://github.com/jazzband/django-taggit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ dev-python/djangorestframework[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? ( ${RDEPEND} )"
+
+python_test() {
+ "${EPYTHON}" -m django test -v 2 --settings=tests.settings ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/eventlet/Manifest b/dev-python/eventlet/Manifest
index f721ffa090cf..d60fd2d75f25 100644
--- a/dev-python/eventlet/Manifest
+++ b/dev-python/eventlet/Manifest
@@ -1,2 +1,3 @@
DIST eventlet-0.31.1.tar.gz 412021 BLAKE2B 6358dca8e0a766f0cc2cef37586a8d38f5d87f03d8389a7cc11b3d2d616669825df2a416ae980eed8a980f8e81ce8b2848225921bb4536f5537a7954ed75fb64 SHA512 c240a332aaf8eeb4af429d1b190ae198b4bcb92ae1bc38ade3f824634327872526267c6ff02f7196e3f9dfd17d639af500c28a3ed70a773b1b050d6d967a88a5
DIST eventlet-0.32.0.tar.gz 412769 BLAKE2B c0b35e1ea0e3353f326f24787f253ef666c34de5a2880c0d78e9541738c47f72787e6ccb3fb861a9f651da7e501443d220809a09d31dbd6e6d75aee509258dc8 SHA512 6a8ca80ef7318114e13690f8d2cd640f1be3c716f01644a7a84cd983ab90ab00ec0962cfc7e85f071e73a6da139bbdf8ad3918f15097e94dfc97db7056d13a9d
+DIST eventlet-0.33.0.tar.gz 414929 BLAKE2B cfb2500d25ed56f5eb7b81968286b1d7d0286511e1658dca8ab4fcf07029390168aea1f95092b5f1b486bd6fb34a96b762c2087cd19f903d232f1da183508888 SHA512 52ef5c6997d0c8a3b55d5f6e969320e06950503984c90440b484020ba346d622ba99abf2bd389b962534849b0c70d80b06f110b2586417f27fb6dde725bfaef4
diff --git a/dev-python/eventlet/eventlet-0.33.0.ebuild b/dev-python/eventlet/eventlet-0.33.0.ebuild
new file mode 100644
index 000000000000..f43fdec86544
--- /dev/null
+++ b/dev-python/eventlet/eventlet-0.33.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Highly concurrent networking library"
+HOMEPAGE="https://pypi.org/project/eventlet/ https://github.com/eventlet/eventlet/"
+SRC_URI="mirror://pypi/e/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/dnspython-1.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ virtual/python-greenlet[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/eventlet-0.25.1-tests.patch"
+ "${FILESDIR}/eventlet-0.30.0-tests-socket.patch"
+ "${FILESDIR}/eventlet-0.30.2-test-timeout.patch"
+)
+
+distutils_enable_tests nose
+
+python_test() {
+ unset PYTHONPATH
+ export TMPDIR="${T}"
+ nosetests -v -x || die
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/fs/Manifest b/dev-python/fs/Manifest
index 33c0799877ce..629c29a9d9a1 100644
--- a/dev-python/fs/Manifest
+++ b/dev-python/fs/Manifest
@@ -1 +1,2 @@
DIST pyfilesystem2-2.4.13.tar.gz 176958 BLAKE2B 154761ddc4db087abdb294ec82ac5b18c46e05f04e783559f3b4d65cde21b9444100130c29d1051a3d2b177f5c9ef7299806fcce1ab3a4b0770b4f1c156abd71 SHA512 c07bf6a8d373a11019709ada392153dbf953399631fa388433f9b7b73d9ae1072ea70b8ed9896752161a4737a399520f030b7875dc23137f418268c5acc24f48
+DIST pyfilesystem2-2.4.14.tar.gz 181196 BLAKE2B 23442e551684fab1493762182944769789ac45e363556705a911b2b3df456da7edfebb58a0d49317f9e9d46316494577be0ec449c86365a510d493d57e1636b0 SHA512 7bc69e23e6477a68fdf87d18403ba0bff2ff4eb2d0cf3cd9c7b0078885ed9d718e3f4f5f22bd77c6bcca6ebfa990045104a2d5abcf473a9d77a28aa94884650b
diff --git a/dev-python/fs/fs-2.4.14.ebuild b/dev-python/fs/fs-2.4.14.ebuild
new file mode 100644
index 000000000000..a4714bf6bc55
--- /dev/null
+++ b/dev-python/fs/fs-2.4.14.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 optfeature
+
+MY_P=pyfilesystem2-${PV}
+DESCRIPTION="Filesystem abstraction layer"
+HOMEPAGE="
+ https://pypi.org/project/fs/
+ https://docs.pyfilesystem.org
+ https://www.willmcgugan.com/tag/fs/
+"
+# Tests from the PyPI tarball are broken
+# https://github.com/PyFilesystem/pyfilesystem2/issues/364
+SRC_URI="
+ https://github.com/PyFilesystem/pyfilesystem2/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.3[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pyftpdlib[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # TODO: fails at teardown due to unfreed resources
+ tests/test_ftpfs.py
+ )
+
+ # pytest-xvfb causes test failures due to a zombie Xvfb process
+ epytest -p no:xvfb
+}
+
+pkg_postinst() {
+ optfeature "S3 support" dev-python/boto
+ optfeature "SFTP support" dev-python/paramiko
+ optfeature "Browser support" dev-python/wxpython
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 063e8c1ac858..fd3e0eda0265 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -2,3 +2,4 @@ DIST google-api-python-client-2.27.0.tar.gz 27434968 BLAKE2B 95575f70ec3a7cb71a2
DIST google-api-python-client-2.28.0.tar.gz 27582046 BLAKE2B 84803c124bdda7d93a28b9690848ab2a41bcb1327feb26cb13c17b395f6fa57d86cb4ae01095966cf5423a821c49996931dde45f95d5f23fedc05e09f875de3a SHA512 d9cbec2ad600af281df2ad6db34d146a37b8248240357d7bc8a7c651d06029dc9dba2e408aa6b7f364e30ffd2b063926e67b184d90ff66f771974ca84979d8db
DIST google-api-python-client-2.29.0.tar.gz 27697101 BLAKE2B e8c9ea3e6a0ff89dce9baef9328dd6a424b096cafe00504f28b516c753c5e9a861fe472edd3e980861c244b0642589cddf537f9a0a37ec9e089ea533b8b5d22c SHA512 c842c16496349fff2ba9522fc7144342024fcb056a79c50350c9fdd01a44f843aaaf5c7f8058595029815c0b9d4d7014ea41d28647dae6780a4dc9ee1bcddad2
DIST google-api-python-client-2.30.0.tar.gz 27735458 BLAKE2B 5ed8d7d08643bd0f67d51b4316f5eed5ff247fb68ab751cd95a35015a738601ead2b5e96b5c32293386b01297eeaf8eb80e1102f6a3364241e375c0c10461d1e SHA512 b9b403f2c8face4277858231cd72ef79d39191ca6dd1cb763ad1216a9c14315d46a08e7d70c835254c0f1405bc519bce81ac71917e03c0fa133db128edad2ff8
+DIST google-api-python-client-2.31.0.tar.gz 27822400 BLAKE2B 447d97ec10376c1a9e911023051b8e3e278db782f91e0e4c1eb72f4ba54db0498439fca42633bc9fdf16ac2982a286103d6d7a99b701b0ff30e024e131b5e175 SHA512 80359f415e2ec4c42b7e12aa333d91849a4246fd744ec627397099be261176add44bf4ada875bc353729bbbca589be59e6cad3810f609d9d23f9fb458bf2c69e
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.31.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.31.0.ebuild
new file mode 100644
index 000000000000..f0739995529c
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.31.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="https://github.com/googleapis/google-api-python-client"
+SRC_URI="https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ dev-python/google-api-core[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+ "
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ distutils_install_for_testing
+ epytest tests
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index f1e5b9bfc749..3d610cec26b7 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,2 +1,3 @@
DIST hypothesis-python-6.24.2.tar.gz 9168397 BLAKE2B 87070841a01c7c9de79b5d786867024873f7de186bbee01bba708e783fd1268523b2e0398a055c92b782f27d0f67679bf5852bd49371932d277726517d12bd91 SHA512 9e4ee194fe561f8a39a26ab63cad4b6f093b2fcb56d02a5adfc4bdee1d7ccf55e6712d1af41d17155c6e88ecc75e6f191cf2761c2d71c2c052d7e8259cff0326
DIST hypothesis-python-6.24.4.tar.gz 9168664 BLAKE2B fe3d2fa28d7e8f47e4ce60fa91b3e004e3214ff51372b16f56c8328ef08a0dace48545b198511ceefe9f58b907f3b35d65ad2934c936dc1ef0b6393215e8c2d9 SHA512 4c1ea50b3203c2933713a5ebfdf40b64c0f6ab62bad30de446e26c79a8e5212b0669ca2569be9f5367b42471175225952920a68129867b4c94fe76b214b88a47
+DIST hypothesis-python-6.24.5.tar.gz 9168940 BLAKE2B 719efd5c307708f3fa205e2096e54ad44009248bd6c03873cbf14eaacb48c5aaf2f444b430418ae3d6d107b53def52a0a6194d9827e94abb1c97af4f12f02072 SHA512 215c4009b9496983c1c3bb3fee7c051fed434c57d48dbcaa5ff0aa42c60c33a507c424eb7e604d323b61c6171d97cbd02d492bcda99bc278b099fd2f3fb074ca
diff --git a/dev-python/hypothesis/hypothesis-6.24.5.ebuild b/dev-python/hypothesis/hypothesis-6.24.5.ebuild
new file mode 100644
index 000000000000..8b48444a4699
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.24.5.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -p no:pytest-describe \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/ipykernel/ipykernel-6.5.0.ebuild b/dev-python/ipykernel/ipykernel-6.5.0.ebuild
index 270c2c6588c3..b8cae08589e5 100644
--- a/dev-python/ipykernel/ipykernel-6.5.0.ebuild
+++ b/dev-python/ipykernel/ipykernel-6.5.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/isort/isort-5.9.3.ebuild b/dev-python/isort/isort-5.9.3.ebuild
index 0fd7a1ea14a4..945227e23fa7 100644
--- a/dev-python/isort/isort-5.9.3.ebuild
+++ b/dev-python/isort/isort-5.9.3.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/toml[${PYTHON_USEDEP}]"
diff --git a/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild b/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild
index 193e5e77b12b..687828151d36 100644
--- a/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild
+++ b/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/entrypoints[${PYTHON_USEDEP}]
diff --git a/dev-python/markdown/Manifest b/dev-python/markdown/Manifest
index 83edaf19986b..e2bf72aa00c8 100644
--- a/dev-python/markdown/Manifest
+++ b/dev-python/markdown/Manifest
@@ -1 +1,2 @@
DIST Markdown-3.3.4.tar.gz 322192 BLAKE2B 37122305112440b85d7f0e5e1bf90bafe15a8bcb84e8d8bdd9b4183dcb4be1010d287450062bab7dc9017d8e618f84a8245e6fd35f8204e5e2ece14d302fb13b SHA512 37422619dd8f542bfcf7975c92e76a39e4eeeb42386727d52037869cee1617f8efcb74a382a9c7cb903907ebf3643a27ba0de583bc0dbd327a36e72bbf8520af
+DIST Markdown-3.3.5.tar.gz 323578 BLAKE2B df585dc664d885259c4d5039b74ca3181ea8d0ba50e3d3bd64f11507403efb3d9942f2f77ba3c4513e1f00f45f5341e42d1efec10f8bee1ea6c8468d050f7f7a SHA512 fd64962ade1bedaed815cc280a2e140569985c66f4ee1b282beb8c2bdeb223a64940e907376fb52c624df5f552e7e12c7845d06dafc41332091325bf58893339
diff --git a/dev-python/markdown/markdown-3.3.5.ebuild b/dev-python/markdown/markdown-3.3.5.ebuild
new file mode 100644
index 000000000000..33e370e16ab5
--- /dev/null
+++ b/dev-python/markdown/markdown-3.3.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the markdown markup language"
+HOMEPAGE="
+ https://python-markdown.github.io/
+ https://pypi.org/project/Markdown/
+ https://github.com/Python-Markdown/markdown"
+SRC_URI="mirror://pypi/M/${PN^}/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="doc"
+
+BDEPEND="
+ test? (
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/pytidylib[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && dodoc -r docs/
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/matplotlib/matplotlib-3.5.0.ebuild b/dev-python/matplotlib/matplotlib-3.5.0.ebuild
index 70282e036efa..12e28af97da8 100644
--- a/dev-python/matplotlib/matplotlib-3.5.0.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.5.0.ebuild
@@ -22,7 +22,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
# internal copy of pycxx highly patched
diff --git a/dev-python/miniupnpc/Manifest b/dev-python/miniupnpc/Manifest
index 05cde009b8f5..8263aaeaa324 100644
--- a/dev-python/miniupnpc/Manifest
+++ b/dev-python/miniupnpc/Manifest
@@ -1,6 +1,2 @@
-DIST miniupnpc-2.2.1.tar.gz 99595 BLAKE2B 07736eb15a985096178273c4578bb3f0cbf32a04632196e9c216d10751a6a5b1269af5fe2cbd447d85145746a7a8ce750ce13f674f5d8f9e4f6921b9d58204bf SHA512 62fc0098890980028199dd16e87b13ce23e78b2cc996433799792dc2a4fa9b5e230139593bde5c721f649c14fcee2e4d8a0558976c5506c21ff26deff6c7c907
-DIST miniupnpc-2.2.1.tar.gz.sig 543 BLAKE2B 19da35662cf75d47de9cd16d3d8f767119e3dc04370801bf8893a17cd0af47072456b75bc3415b587371972a7c5c36623665391bbf4b9c655d1da3c0e5b8beb7 SHA512 8b5d41556c66e6330673a63eb3be2397cb057c37f648d950e8dfa0bb00e646f343cfbcbd11a6547198d4fa6b1ca2a82b46724e284ce76e96d96ad6b3b5b41c3f
-DIST miniupnpc-2.2.2.tar.gz 100008 BLAKE2B 76bd18ad455be91a2b7680f59f59828a592077f3694ea5ed0f42222370d9e3d0e328dac1a6d530abcf28586384369d7c858c32fc3105f79cacad762ac5bc70fc SHA512 d322ae2a99faf01bee52f50a40d4bc2150c67a2f7e15b6078fe92faf2aecfe7ce10bd98cef3d94a77f6f7d1f7d8451cf4cdbf6fe11c9e7c1854ee066300b0116
-DIST miniupnpc-2.2.2.tar.gz.sig 543 BLAKE2B e1089a0c3d937cb4e52b511ed0cc7b43a686a6c08df5ce5e008f1f5ec892b6a4f9f1c45ad4eb252c2aa57fd932a5c5dd4300adfdcee145f27cae51469f244179 SHA512 525f4b5c60ca1375df8a05cfffec3cf8e99ae070510621de2871926b6e84faec28cceb4feb983380e12b7271880872083ea4f4080c74572697476bb7ae795cf7
DIST miniupnpc-2.2.3.tar.gz 101360 BLAKE2B d2a7f64d56be524c5c4aadfecd40da4e1ad040fd7eab64be5b5716cb06047e86e3ed6a9c17f697fd3210af0fb0a6ae032b6ef0a5c1f0d96a2e185db97b0d06e8 SHA512 8b9555d336d5dfe8017a16727f964cddacb3f2bf3528fe3dd2416480da5763b24e1740345e470f2123c170d79d88444e41dbbce4536e6069590925e4805bc5ee
DIST miniupnpc-2.2.3.tar.gz.sig 543 BLAKE2B d10bcb765e0d7a1eb68dc6269080b71535fced443e801a09677872bc498c866a02f22d851db963fb126331f28d2314542507713f514560d9d6eca2262287dc8b SHA512 636ad425b430629ee91b2755b543e9754aa88e243972f47839a2ad958757a12ff598f962e9328e5ad0fa3e0b2f895854c9cb3ca099048e7c132c8ce27806986e
diff --git a/dev-python/miniupnpc/files/miniupnpc-2.0.20171102-shared-lib.patch b/dev-python/miniupnpc/files/miniupnpc-2.0.20171102-shared-lib.patch
deleted file mode 100644
index f3245cb4b355..000000000000
--- a/dev-python/miniupnpc/files/miniupnpc-2.0.20171102-shared-lib.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-From 7a61313dda299b16c4af3260ae5c11ce5945ed97 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Sun, 5 Nov 2017 09:24:00 +0100
-Subject: [PATCH] Link against the shared library
-
----
- setup.py | 10 +---------
- 1 file changed, 1 insertion(+), 9 deletions(-)
-
-diff --git a/setup.py b/setup.py
-index b84146f..73b05b7 100644
---- a/setup.py
-+++ b/setup.py
-@@ -13,13 +13,6 @@ from setuptools.command import build_ext
- import subprocess
- import os
-
--EXT = ['libminiupnpc.a']
--
--class make_then_build_ext(build_ext.build_ext):
-- def run(self):
-- subprocess.check_call([os.environ.get('MAKE', 'make')] + EXT)
-- build_ext.build_ext.run(self)
--
- setup(name="miniupnpc",
- version=open('VERSION').read().strip(),
- author='Thomas BERNARD',
-@@ -27,9 +20,8 @@ setup(name="miniupnpc",
- license=open('LICENSE').read(),
- url='http://miniupnp.free.fr/',
- description='miniUPnP client',
-- cmdclass={'build_ext': make_then_build_ext},
- ext_modules=[
- Extension(name="miniupnpc", sources=["miniupnpcmodule.c"],
-- extra_objects=EXT)
-+ libraries=['miniupnpc'])
- ])
-
---
-2.15.0.rc2
-
diff --git a/dev-python/miniupnpc/miniupnpc-2.2.1.ebuild b/dev-python/miniupnpc/miniupnpc-2.2.1.ebuild
deleted file mode 100644
index 28850a969db5..000000000000
--- a/dev-python/miniupnpc/miniupnpc-2.2.1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1 verify-sig
-
-DESCRIPTION="Python bindings for UPnP client library"
-HOMEPAGE="http://miniupnp.free.fr/"
-SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz
- verify-sig? ( http://miniupnp.free.fr/files/${P}.tar.gz.sig )"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 x86"
-IUSE=""
-
-RDEPEND=">=net-libs/miniupnpc-${PV}:0="
-DEPEND="${RDEPEND}"
-BDEPEND="verify-sig? ( app-crypt/openpgp-keys-miniupnp )"
-
-VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/miniupnp.asc
-
-PATCHES=(
- "${FILESDIR}"/miniupnpc-2.0.20171102-shared-lib.patch
-)
-
-# DOCS are installed by net-libs/miniupnpc.
-DOCS=()
-
-# Example test command:
-# python -c 'import miniupnpc; u = miniupnpc.UPnP(); u.discover(); u.selectigd(); print(u.externalipaddress())'
diff --git a/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild b/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild
deleted file mode 100644
index 28850a969db5..000000000000
--- a/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1 verify-sig
-
-DESCRIPTION="Python bindings for UPnP client library"
-HOMEPAGE="http://miniupnp.free.fr/"
-SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz
- verify-sig? ( http://miniupnp.free.fr/files/${P}.tar.gz.sig )"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 x86"
-IUSE=""
-
-RDEPEND=">=net-libs/miniupnpc-${PV}:0="
-DEPEND="${RDEPEND}"
-BDEPEND="verify-sig? ( app-crypt/openpgp-keys-miniupnp )"
-
-VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/miniupnp.asc
-
-PATCHES=(
- "${FILESDIR}"/miniupnpc-2.0.20171102-shared-lib.patch
-)
-
-# DOCS are installed by net-libs/miniupnpc.
-DOCS=()
-
-# Example test command:
-# python -c 'import miniupnpc; u = miniupnpc.UPnP(); u.discover(); u.selectigd(); print(u.externalipaddress())'
diff --git a/dev-python/miniupnpc/miniupnpc-2.2.3.ebuild b/dev-python/miniupnpc/miniupnpc-2.2.3.ebuild
index 5728f7c85133..b796532a7900 100644
--- a/dev-python/miniupnpc/miniupnpc-2.2.3.ebuild
+++ b/dev-python/miniupnpc/miniupnpc-2.2.3.ebuild
@@ -14,7 +14,7 @@ SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ppc ~ppc64 x86"
+KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
RDEPEND=">=net-libs/miniupnpc-${PV}:0="
diff --git a/dev-python/mypy/mypy-0.910-r1.ebuild b/dev-python/mypy/mypy-0.910-r1.ebuild
index 24329f75b01a..c029354de958 100644
--- a/dev-python/mypy/mypy-0.910-r1.ebuild
+++ b/dev-python/mypy/mypy-0.910-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/python/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
# stubgen collides with this package: https://bugs.gentoo.org/585594
# Note: replace toml with tomli on next version bump
diff --git a/dev-python/nose2/nose2-0.10.0.ebuild b/dev-python/nose2/nose2-0.10.0.ebuild
index 89ecc9149093..f74bdaea6de5 100644
--- a/dev-python/nose2/nose2-0.10.0.ebuild
+++ b/dev-python/nose2/nose2-0.10.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/nose-devs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~sparc x86"
+KEYWORDS="amd64 ~hppa ~sparc x86"
RDEPEND="
>=dev-python/coverage-4.4.1[${PYTHON_USEDEP}]
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index d0b079c46f42..0675d5a8780c 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,2 +1,3 @@
DIST notebook-6.4.4.tar.gz 14349204 BLAKE2B 3ea06a6433933e0de34be33bc681776a17fec05da643268a262f65146bd707f08ea6acbfe1154ba9158ac76211de78552daec22293a54ba5e0edb848790ccbbd SHA512 c78869b7d75244409cb890d43d05eb5391c27e0de29874f48aef1c22379cdcb5dc7f69969eccd6c0f1ed057ed17f85d39e43cd482866dfe6277b6a981eee39f6
DIST notebook-6.4.5.tar.gz 14339237 BLAKE2B 932e9c90804e6f759a9cd03c45e5093b26d1477908570726ae4782fec6c1127559f129ba8b9d1b4b4ff8e5bcb7fb32fea4cfafbc4c64b55859dbf6ed08960828 SHA512 8e0f6db6f232b7234e65ac41105cbc81b4d2d38d9f8cbd629ca3722b2fc876d8bd64beb7417e0bd99e3ae0c047be8328f4a0a433c2282defa5f026b20953608f
+DIST notebook-6.4.6.tar.gz 14342345 BLAKE2B cc9d5968d05d9f75f60f02adfb5ef35f39e4a5de027356af73c6dfb1f3aebc271e5b3bc639eb8605748abd30d43bfaab662d41b3b764c91cc545c2d1848881f4 SHA512 92b10bdc041bc0f3af1b42ad219abda37402e0fa4ea16ddcfd2ffc450cc7f49ce1d770cb477160c3fa58c387f85d22ca3f4e4c6507a5cbf7a92bc5268baf661e
diff --git a/dev-python/notebook/notebook-6.4.6.ebuild b/dev-python/notebook/notebook-6.4.6.ebuild
new file mode 100644
index 000000000000..c81895aaa8f6
--- /dev/null
+++ b/dev-python/notebook/notebook-6.4.6.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-libs/mathjax-2.4
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.0[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-5.3.4[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/send2trash-1.8.0[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]"
+
+# sphinx 2+ seems to have a problem with its github plugin. temporarily adding
+# a version constraint.
+BDEPEND="
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}"-5.7.0-no-mathjax.patch
+)
+
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+ # disable bundled mathjax
+ sed -i 's/^.*MathJax.*$//' bower.json || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local deselect=(
+ # trash doesn't seem to work for us
+ notebook/services/contents/tests/test_contents_api.py::APITest::test_checkpoints_follow_file
+ notebook/services/contents/tests/test_contents_api.py::APITest::test_delete
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_checkpoints_follow_file
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_dirs
+ notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_non_empty_dir
+ notebook/services/contents/tests/test_manager.py::TestContentsManager::test_delete
+ notebook/services/contents/tests/test_manager.py::TestContentsManagerNoAtomic::test_delete
+ # TODO
+ notebook/services/kernels/tests/test_kernels_api.py::KernelAPITest::test_connections
+ notebook/services/kernels/tests/test_kernels_api.py::AsyncKernelAPITest::test_connections
+ notebook/services/kernels/tests/test_kernels_api.py::KernelCullingTest::test_culling
+ )
+
+ # selenium tests require geckodriver
+ epytest --ignore notebook/tests/selenium ${deselect[@]/#/--deselect }
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ ln -sf \
+ "${EPREFIX}/usr/share/mathjax" \
+ "${D}$(python_get_sitedir)/notebook/static/components/MathJax" || die
+}
+
+pkg_preinst() {
+ # remove old mathjax folder if present
+ rm -rf "${EROOT}"/usr/lib*/python*/site-packages/notebook/static/components/MathJax || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/numpy/numpy-1.21.2-r1.ebuild b/dev-python/numpy/numpy-1.21.2-r1.ebuild
index 3253fc7c4ac8..8bcf5c624500 100644
--- a/dev-python/numpy/numpy-1.21.2-r1.ebuild
+++ b/dev-python/numpy/numpy-1.21.2-r1.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
)"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc lapack"
RDEPEND="
diff --git a/dev-python/os-client-config/os-client-config-2.1.0-r1.ebuild b/dev-python/os-client-config/os-client-config-2.1.0-r1.ebuild
index cc4188bf8002..2f01d8d38d53 100644
--- a/dev-python/os-client-config/os-client-config-2.1.0-r1.ebuild
+++ b/dev-python/os-client-config/os-client-config-2.1.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm arm64 x86"
RDEPEND="
>dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
diff --git a/dev-python/os-client-config/os-client-config-2.1.0.ebuild b/dev-python/os-client-config/os-client-config-2.1.0.ebuild
deleted file mode 100644
index d536ef23f425..000000000000
--- a/dev-python/os-client-config/os-client-config-2.1.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=bdepend
-
-inherit distutils-r1
-
-DESCRIPTION="OpenStack Client Configuation Library"
-HOMEPAGE="https://www.openstack.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 x86"
-IUSE=""
-
-CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
-DEPEND="${CDEPEND}"
-RDEPEND="
- ${CDEPEND}
- >=dev-python/openstacksdk-0.13.0[${PYTHON_USEDEP}]
-"
-
-PATCHES=(
- "${FILESDIR}"/test_get_all_clouds.patch
-)
diff --git a/dev-python/pastel/pastel-0.2.1.ebuild b/dev-python/pastel/pastel-0.2.1.ebuild
index e4f6c6579ca8..9158cb94c186 100644
--- a/dev-python/pastel/pastel-0.2.1.ebuild
+++ b/dev-python/pastel/pastel-0.2.1.ebuild
@@ -13,6 +13,6 @@ SRC_URI="https://github.com/sdispater/pastel/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
distutils_enable_tests pytest
diff --git a/dev-python/prettytable/prettytable-2.4.0-r1.ebuild b/dev-python/prettytable/prettytable-2.4.0-r1.ebuild
index c1ab4bb9fd20..f6421aee6c3e 100644
--- a/dev-python/prettytable/prettytable-2.4.0-r1.ebuild
+++ b/dev-python/prettytable/prettytable-2.4.0-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~sparc ~x86"
RDEPEND="
dev-python/wcwidth[${PYTHON_USEDEP}]
diff --git a/dev-python/pydevd/pydevd-2.7.0.ebuild b/dev-python/pydevd/pydevd-2.7.0.ebuild
index 5a765cdbb13f..195e3d6e9b6c 100644
--- a/dev-python/pydevd/pydevd-2.7.0.ebuild
+++ b/dev-python/pydevd/pydevd-2.7.0.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/PyDev.Debugger-${MY_P}"
LICENSE="EPL-1.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv sparc x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv sparc x86"
# After removing and recompiling the prebuilt lib the tests fail?
# For some reason the test suite is executing a slightly different gdb command
diff --git a/dev-python/pylama/pylama-7.7.1-r1.ebuild b/dev-python/pylama/pylama-7.7.1-r1.ebuild
index dbcc2c5a62ea..eef7e85b8a99 100644
--- a/dev-python/pylama/pylama-7.7.1-r1.ebuild
+++ b/dev-python/pylama/pylama-7.7.1-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/klen/pylama/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
>=dev-python/mccabe-0.5.2[${PYTHON_USEDEP}]
diff --git a/dev-python/pylev/pylev-1.4.0.ebuild b/dev-python/pylev/pylev-1.4.0.ebuild
index 946a2643b803..6051704c3068 100644
--- a/dev-python/pylev/pylev-1.4.0.ebuild
+++ b/dev-python/pylev/pylev-1.4.0.ebuild
@@ -12,6 +12,6 @@ SRC_URI="https://github.com/toastdriven/pylev/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
distutils_enable_tests unittest
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index d3c387d2fb88..458d429e51ac 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,2 +1 @@
DIST pylint-2.10.2.gh.tar.gz 813391 BLAKE2B 109f8817e32ddf8d93c9120518e77a1d2f7e61cd1a6362eb1cf9e6d242db72fa1a9271588a3abb28efca54bcc449dce623ae5d5fd63153ec2bc367e008aab465 SHA512 5d694587956c4f11eb4afaec26cefb66ccbe14dc2aacf378a0362326506d80eb2633e0d351c0a20715a3359a9bc438092d77b2e46f7f787210c7ab0555f2722f
-DIST pylint-2.9.6.gh.tar.gz 779390 BLAKE2B b1d8794e1e7ccdde87919eb943f83287c0a7b85b67f3722cbbe68887f2c61ab30b354548e25b70c661234647e35f79beb6aaad5f6be6bfde8c2475cf03676922 SHA512 a23ff089853398df2e4232767ca87c21e4ab4fc6805de80db796c78c56e0da1ade9b0586f5c14a98524bf607e0d240c354cf63287eec7dfdce263188eb19ddce
diff --git a/dev-python/pylint/pylint-2.10.2.ebuild b/dev-python/pylint/pylint-2.10.2.ebuild
index b73683d88b48..e75954b9e228 100644
--- a/dev-python/pylint/pylint-2.10.2.ebuild
+++ b/dev-python/pylint/pylint-2.10.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="examples"
RDEPEND="
diff --git a/dev-python/pylint/pylint-2.9.6.ebuild b/dev-python/pylint/pylint-2.9.6.ebuild
deleted file mode 100644
index 1de01e6c8c7f..000000000000
--- a/dev-python/pylint/pylint-2.9.6.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit distutils-r1
-
-DESCRIPTION="Python code static checker"
-HOMEPAGE="https://www.logilab.org/project/pylint
- https://pypi.org/project/pylint/
- https://github.com/pycqa/pylint/"
-SRC_URI="
- https://github.com/pycqa/pylint/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
-IUSE="examples"
-
-RDEPEND="
- <dev-python/astroid-2.7[${PYTHON_USEDEP}]
- >=dev-python/astroid-2.6.5[${PYTHON_USEDEP}]
- >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
- <dev-python/isort-6[${PYTHON_USEDEP}]
- >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
- <dev-python/mccabe-0.7[${PYTHON_USEDEP}]
- >=dev-python/toml-0.7.1[${PYTHON_USEDEP}]
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-2.4.4-sphinx-theme.patch"
-)
-
-distutils_enable_sphinx doc --no-autodoc
-distutils_enable_tests pytest
-
-python_test() {
- local skipped_tests=(
- # No need to run the benchmarks
- tests/benchmark/test_baseline_benchmarks.py
- )
- # Specify the test directory explicitly to avoid import file mismatches
- epytest tests ${skipped_tests[@]/#/--deselect }
-}
-
-python_install_all() {
- if use examples ; then
- docompress -x "/usr/share/doc/${PF}/examples"
- docinto examples
- dodoc -r examples/.
- fi
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pytest-lazy-fixture/pytest-lazy-fixture-0.6.3.ebuild b/dev-python/pytest-lazy-fixture/pytest-lazy-fixture-0.6.3.ebuild
index 0d1e3dcf138b..56b0ca5a7c43 100644
--- a/dev-python/pytest-lazy-fixture/pytest-lazy-fixture-0.6.3.ebuild
+++ b/dev-python/pytest-lazy-fixture/pytest-lazy-fixture-0.6.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~riscv ~sparc x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~sparc x86"
RDEPEND="dev-python/pytest[${PYTHON_USEDEP}]"
diff --git a/dev-python/python-glanceclient/python-glanceclient-3.2.2-r1.ebuild b/dev-python/python-glanceclient/python-glanceclient-3.2.2-r1.ebuild
index 2ce11a0ddd66..f46ddfe1083d 100644
--- a/dev-python/python-glanceclient/python-glanceclient-3.2.2-r1.ebuild
+++ b/dev-python/python-glanceclient/python-glanceclient-3.2.2-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r1.ebuild b/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r1.ebuild
index 730add62f2c5..9dbd203b91f5 100644
--- a/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r1.ebuild
+++ b/dev-python/pytz_deprecation_shim/pytz_deprecation_shim-0.1.0_p0-r1.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/pytzdata/pytzdata-2020.1-r1.ebuild b/dev-python/pytzdata/pytzdata-2020.1-r1.ebuild
index 0806c46459ee..858b483c6005 100644
--- a/dev-python/pytzdata/pytzdata-2020.1-r1.ebuild
+++ b/dev-python/pytzdata/pytzdata-2020.1-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/sdispater/pytzdata/archive/${PV}.tar.gz -> ${P}.tar.
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
RDEPEND="dev-python/cleo[${PYTHON_USEDEP}]"
diff --git a/dev-python/resolvelib/Manifest b/dev-python/resolvelib/Manifest
index d5ebf3b88a35..8b7ab408f486 100644
--- a/dev-python/resolvelib/Manifest
+++ b/dev-python/resolvelib/Manifest
@@ -1,4 +1,2 @@
DIST resolvelib-0.5.4.tar.gz 14474 BLAKE2B d1424bf6a019e16e9b662741b6c089258bfef26d5bffcfc9e0c8d9ba105b689654fdce7bf9068f71c49a2ce590f05c16b93c53bbe468fc1a339e7fa489adece2 SHA512 cb027c5478c217f6f8288b42a933665aaf6e59280e7aa88a25f6594e589e34ac2b75734764e331d0889ad9cf0c60b8cbdfa14b01dce023a76870bb21cfc4d926
-DIST resolvelib-0.7.1.gh.tar.gz 764630 BLAKE2B 32c50ef0a16e07716f18994efe4b2bd212a2ee5068ff155526e17358e3bbe4c92c4d59817c17de152882a738c924c7f5ba389d2a7d13ee1b2dc0de54e8175c3b SHA512 de5c1c29790ce1eb4393021f17f1a19a0f2de29e5d8688fc307e412d80052319b822bb24fceca47fe550e21393ee38d58fa6e6cfefd207b7a88b632b9670d282
-DIST resolvelib-0.8.0.gh.tar.gz 765655 BLAKE2B cf10ebb01a01a5601091c5374da87ad55a057144d928106d7e9c19cb348277fd5f4d455acfb49ee1979842a68ecdb1f682a1d0948339533074a540a04294c226 SHA512 6cca8be16c36e5d8d60d41fab3ab9bb3aa82e1bb4d1887b5bcae3b21db90af9799676032c566a52e2026f14b19480c000f20482c87af326d8440d2c826eb5b1a
DIST resolvelib-0.8.1.gh.tar.gz 766632 BLAKE2B 59bb02a08cf0f9bc6070cd5c5109826a7cacc5bda07479358fd591ff018bad761b53ed48f0a330e5ef60b8fa8d5db14ef044b662423e372aad7fc477df5b97ef SHA512 bc99d0661f3605d97074066df3c57edec8db40f66111f0d7a23ad88097ba4a162368ab396ef75632d09cd8a76417fbee2554d0cdb2f797795c246d16e7e3b955
diff --git a/dev-python/resolvelib/resolvelib-0.7.1.ebuild b/dev-python/resolvelib/resolvelib-0.7.1.ebuild
deleted file mode 100644
index d92ee36f3a0b..000000000000
--- a/dev-python/resolvelib/resolvelib-0.7.1.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="provides a Resolver class that includes dependency resolution logic"
-HOMEPAGE="https://github.com/sarugaku/resolvelib/"
-SRC_URI="
- https://github.com/sarugaku/resolvelib/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
-
-BDEPEND="
- test? (
- dev-python/commentjson[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/resolvelib/resolvelib-0.8.0.ebuild b/dev-python/resolvelib/resolvelib-0.8.0.ebuild
deleted file mode 100644
index 44f22b8744b7..000000000000
--- a/dev-python/resolvelib/resolvelib-0.8.0.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="provides a Resolver class that includes dependency resolution logic"
-HOMEPAGE="https://github.com/sarugaku/resolvelib/"
-SRC_URI="
- https://github.com/sarugaku/resolvelib/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-BDEPEND="
- test? (
- dev-python/commentjson[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/resolvelib/resolvelib-0.8.1.ebuild b/dev-python/resolvelib/resolvelib-0.8.1.ebuild
index 091dde34a916..9a1ee5520573 100644
--- a/dev-python/resolvelib/resolvelib-0.8.1.ebuild
+++ b/dev-python/resolvelib/resolvelib-0.8.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="
LICENSE="ISC"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
BDEPEND="
test? (
diff --git a/dev-python/rich/Manifest b/dev-python/rich/Manifest
index 06223c6c36c3..64cde226e5f5 100644
--- a/dev-python/rich/Manifest
+++ b/dev-python/rich/Manifest
@@ -1,2 +1,3 @@
DIST rich-10.12.0.tar.gz 16265099 BLAKE2B c2249be5a5008e3e9fd5c301b10d7bc544e4805d4762e87481aa31716e38eb3cb2b81ce80f201fc0d3961574136f47b7b374d6bc7d18e4f55f1f757a7e17e5a2 SHA512 bb42ff24c9eeeae548a6e222ecc03f8b46d763c4b022964bd8fb11517f1a23a7aaa82a2155d5cd3d29cdd1af5fab6cc4f26840a84ce5e26dd740f8706961ce1f
DIST rich-10.13.0.tar.gz 16277448 BLAKE2B e33bca376e1a5b82d0648c7bdda9ce30930b7c095cd8272b573f52dcb056a21be35fb0ef83c939e7feeb458eb4efb7767bf98706a4c58fc134627a0b0f3aa68d SHA512 23ea811fbaa8002416530975fe79c62b42d3c79806d312c172351f632864356be77063d5dc0fe0243d78479fb31a87433a432b115f5cf570f7c6e44c6f773ff0
+DIST rich-10.14.0.tar.gz 16276866 BLAKE2B bc7d9a493dd4d283b0890bf385ac219c60cfb80addc226b39418ff26ca598a96c71e56ce7bea34b0508728d5535ed8ef71b21b907c13bb2ac3a1c79afefeb8f2 SHA512 be5f36ca19e4c353b94030f65abd7177f8a8194a2b6d46554c29aaa3e57fca585892634e2b096f407e6ae4ae47a7f9844fb7686c34e10d4bbccb0ea35a7d2247
diff --git a/dev-python/rich/rich-10.14.0.ebuild b/dev-python/rich/rich-10.14.0.ebuild
new file mode 100644
index 000000000000..3958bf9474a3
--- /dev/null
+++ b/dev-python/rich/rich-10.14.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for renrering rich text, tables, etc. to the terminal"
+HOMEPAGE="https://github.com/willmcgugan/rich"
+SRC_URI="https://github.com/willmcgugan/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/commonmark[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild b/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild
index 5441390c93b1..1a49743e2d33 100644
--- a/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild
+++ b/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/Changaco/setuptools_scm_git_archive/archive/${PV}.ta
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm ~arm64 ~hppa ~ppc64 ~riscv ~sparc x86"
IUSE=""
RDEPEND="
diff --git a/dev-python/snowballstemmer/Manifest b/dev-python/snowballstemmer/Manifest
index 30729daa62f8..61518961f659 100644
--- a/dev-python/snowballstemmer/Manifest
+++ b/dev-python/snowballstemmer/Manifest
@@ -1 +1,2 @@
DIST snowballstemmer-2.1.0.tar.gz 85674 BLAKE2B 3301e3f799fa61a679b88efc87b3d019231ae7172172f136eb7e1bdfb40d054489aaa29ca1b8b2a04d8260a82ef7f4a8da75a9784f69942aac57ccfcc4983e5b SHA512 e0550d3389074d7686d26397ff2289519cd8b26cf7090fe781d6407d1c2b95f912347d70cd25e02d6016c454ad6c5cf6d648e54ef87161328ac57bc1ceaf7826
+DIST snowballstemmer-2.2.0.tar.gz 86699 BLAKE2B b106fac1587143c9e88f54cc982c573b227f9e2d0125d36391a95050b41e9c97e47c7c8dff890ebfcf4bdf7c97559908d3bd380c6659b0d1fef4bed111fbae4b SHA512 f1dee83e06fc79ffb250892fe62c75e3393b9af07fbf7cde413e6391870aa74934302771239dea5c9bc89806684f95059b00c9ffbcf7340375c9dd8f1216cd37
diff --git a/dev-python/snowballstemmer/snowballstemmer-2.2.0.ebuild b/dev-python/snowballstemmer/snowballstemmer-2.2.0.ebuild
new file mode 100644
index 000000000000..89f3567395ed
--- /dev/null
+++ b/dev-python/snowballstemmer/snowballstemmer-2.2.0.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Stemmer algorithms generated from Snowball algorithms"
+HOMEPAGE="https://snowballstem.org/
+ https://github.com/snowballstem/snowball
+ https://pypi.org/project/snowballstemmer/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
diff --git a/dev-python/sphinxcontrib-doxylink/Manifest b/dev-python/sphinxcontrib-doxylink/Manifest
index d6b50302a852..72624e9b19ba 100644
--- a/dev-python/sphinxcontrib-doxylink/Manifest
+++ b/dev-python/sphinxcontrib-doxylink/Manifest
@@ -1,3 +1,2 @@
-DIST sphinxcontrib-doxylink-1.10.tar.gz 20217 BLAKE2B b5b1128d8b60e91b655b2efb093afc77f10e39912c841d2241576c0ed7f1c6d23c92272ee988435958155b9506d22dd5a8b0373bda7059040b38869aea37f9ef SHA512 08beb65cb22b02ae253bd526da00cee322cc72fc00214818f3d5fa503d36725a08f67c6b46f13fec10b1d9963cd7c7ecf57109342d7a2ba991cdba0fa6ef8125
DIST sphinxcontrib-doxylink-1.11.1.tar.gz 22087 BLAKE2B 2f59c2cf802f428459eb13dc095dea2422ee37f9fc93ec8ceb4e6d72bbb8d0381651ef348de77aa5362857ebae7ff9a92be0c868575e43cf4e6c3b271b05147a SHA512 5c86771aa064e3e9ffeb04223ff8cb90fe8c6b8ad8749f250a8a866b4204bece6b82388cda3ccefc83901966e97b3093d3d47bc60fbd8c9f84a5b162fd4d8c02
DIST sphinxcontrib-doxylink-1.11.tar.gz 22043 BLAKE2B 73d137d2c7df594c71def4d422040eb46028192c13a38b7f765dcbda82034936e3985309254b536d9ba49a32e2d9df9c8eb7886b7a365bbc0440e901cb0250c9 SHA512 14a3511c6958d05f6209c292563068e58410e6833821c8339fa95c511ac2c8987b05097a423313345f2c7e9c1dfd17136bd8684520341160fdaefae1bcc2dcc2
diff --git a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.10.ebuild b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.10.ebuild
deleted file mode 100644
index 4f775c734cff..000000000000
--- a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.10.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Extension to link to external Doxygen API documentation"
-HOMEPAGE="https://pypi.org/project/sphinxcontrib-doxylink/ https://pythonhosted.org/sphinxcontrib-doxylink/ https://github.com/sphinx-contrib/doxylink"
-SRC_URI="https://github.com/sphinx-contrib/doxylink/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/doxylink-${PV}"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- >=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
- dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
- dev-python/pyparsing[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- app-doc/doxygen
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_install_all() {
- distutils-r1_python_install_all
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.ebuild b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.ebuild
index 21444fa9134c..ef9773cde759 100644
--- a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.ebuild
+++ b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}/doxylink-${PV}"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
>=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 3f3d64d5ac60..481f477bc0ab 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,2 +1,3 @@
DIST stripe-2.61.0.tar.gz 231302 BLAKE2B e971c3393e255d09eb84bcdf24b5eb32ca42d7d04332cc6fac7685606164c1b95f2b5bffeadb39f11be8c50360da03feca2dce1b4f5f84a3a95cfe4458ff1970 SHA512 5b331d862ea832a821a9dff9bb7569aa2b94726c2d36ec5f304a5a41b3fcdda1096f85f444500f0826fd3e349c47b5ef18ab91b8ec5cb67d966346a0cbd1a7ef
DIST stripe-2.62.0.tar.gz 233447 BLAKE2B c4cdddcb5397ed45606600183dccba9395e098f236dd592e0a0326832642c79d112bdcb52ade736a0a1137e29b7368157e76a8a84895efa9a2debf2a60ffe886 SHA512 5c2f49e0639082a75ee97b8ad6e50926bb1d894b395f5363b2300825e497527518b682c3380ef458b4dc9ab832dc71afae5f85ff4ecc2e188aab4ad29df4a60f
+DIST stripe-2.63.0.tar.gz 233693 BLAKE2B 18de5e0a74b241759a7c84203e675159958a77e3ee225ebdfd5ed2d2d633a3b91f5165ac14a164b09e4df81176aafe1727685c4156b5055dc4ea2a44b0af9134 SHA512 fedef25d95e1fe3f9b4fdab37fb4ababc3c0243218da590076942491884b284b07e6bb15e9c85a6871dabffc34c260ec9d9fb80634ab0a368cf312c2324c2bdd
diff --git a/dev-python/stripe/stripe-2.63.0.ebuild b/dev-python/stripe/stripe-2.63.0.ebuild
new file mode 100644
index 000000000000..9e10c0fab0dc
--- /dev/null
+++ b/dev-python/stripe/stripe-2.63.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="https://github.com/stripe/stripe-python"
+SRC_URI="mirror://pypi/s/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.115.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=(LONG_DESCRIPTION.rst CHANGELOG.md README.md)
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ "${stripe_mock_port}" -le "${stripe_mock_max_port}" ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port ${stripe_mock_port} &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=$!
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ http://127.0.0.1:${stripe_mock_port}/v1/customers &> /dev/null
+ eend $? "Port ${stripe_mock_port} unavailable"
+ if [[ $? -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ "${stripe_mock_port}" -gt "${stripe_mock_max_port}" ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/sybil/sybil-2.0.1.ebuild b/dev-python/sybil/sybil-2.0.1.ebuild
index f48b25f42350..cadf908d3f7a 100644
--- a/dev-python/sybil/sybil-2.0.1.ebuild
+++ b/dev-python/sybil/sybil-2.0.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~riscv x86"
distutils_enable_tests pytest
diff --git a/dev-python/testfixtures/testfixtures-6.18.3.ebuild b/dev-python/testfixtures/testfixtures-6.18.3.ebuild
index ed0dcff8e468..4313f858b611 100644
--- a/dev-python/testfixtures/testfixtures-6.18.3.ebuild
+++ b/dev-python/testfixtures/testfixtures-6.18.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
-KEYWORDS="amd64 ~arm ~arm64 ~riscv x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~riscv x86 ~amd64-linux ~x86-linux"
BDEPEND="
test? (
diff --git a/dev-python/tzlocal/tzlocal-4.1.ebuild b/dev-python/tzlocal/tzlocal-4.1.ebuild
index 21e9a313fdcf..99bac2fbe2c3 100644
--- a/dev-python/tzlocal/tzlocal-4.1.ebuild
+++ b/dev-python/tzlocal/tzlocal-4.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/regebro/tzlocal/archive/${PV}.tar.gz -> ${P}.gh.tar.
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
RDEPEND="
dev-python/pytz_deprecation_shim[${PYTHON_USEDEP}]
diff --git a/dev-python/untangle/untangle-1.1.1.ebuild b/dev-python/untangle/untangle-1.1.1.ebuild
index e5753d1482db..bb3815aef0d3 100644
--- a/dev-python/untangle/untangle-1.1.1.ebuild
+++ b/dev-python/untangle/untangle-1.1.1.ebuild
@@ -13,4 +13,4 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv sparc x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv sparc x86"
diff --git a/dev-python/uritemplate/Manifest b/dev-python/uritemplate/Manifest
index 3706f8edf7a8..9d0f75f84da6 100644
--- a/dev-python/uritemplate/Manifest
+++ b/dev-python/uritemplate/Manifest
@@ -1,3 +1 @@
-DIST uritemplate-3.0.1.tar.gz 32806 BLAKE2B 71fb7ef9fbdd61f3a3f67c5615cfb65ab261b5f9ce1c5a534e155a9723990599bf50e9ee0934d870161f7f26fc3d0fbcc07fefa558fc55bca29e96259bba767a SHA512 260da5901d28ca2354d972e00ed468c9bcf2901f948cb7759ff3e9d3a7b67da90ba754e555d6695c5095801b106ffd422459f0860b901a75e01575e159eb8f48
-DIST uritemplate-4.0.0.tar.gz 31879 BLAKE2B b363864782240b6ccd7ecdb84142246d75800b7a173631c741d10a793817a32755d0ba35e529579663af3efd01c75e5838187f547757f9fbb38050e4af283193 SHA512 1428967387c7f157f0c512f044deccce93770fd50c6d1427393cddf835137588ba7c9253ac4a838866c0c3c128c5e96189a54d7a772210b740de50474afbc58a
DIST uritemplate-4.1.0.tar.gz 273924 BLAKE2B b21115c6db8f94c635dda1033b4650dd7d2d54b6f52f51bff31ae8cf89e0b3dbcfc1bd029eadc68f5f94eecbd167eabc652c24be6f0bb807beecb5f254520626 SHA512 e62812a4e9ff315a1b06ba9e88f3dd47aea8353cae4ead9ce7bf59b65c83cd6ae7c973cb29b8ddc25266c264f229df8f2d9e982ab489f2f37a5dbd460b87a5e0
diff --git a/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild b/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild
deleted file mode 100644
index 9c7ae1e06a06..000000000000
--- a/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Python implementation of RFC6570, URI Template"
-HOMEPAGE="https://pypi.org/project/uritemplate/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="Apache-2.0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-python/simplejson[${PYTHON_USEDEP}]
- !<=dev-python/google-api-python-client-1.3
-"
-BDEPEND="${RDEPEND}
- test? (
- dev-python/wheel[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/uritemplate/uritemplate-4.0.0.ebuild b/dev-python/uritemplate/uritemplate-4.0.0.ebuild
deleted file mode 100644
index 6bfc4489b4af..000000000000
--- a/dev-python/uritemplate/uritemplate-4.0.0.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="Python implementation of RFC6570, URI Template"
-HOMEPAGE="https://pypi.org/project/uritemplate/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="Apache-2.0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
-distutils_enable_tests pytest
diff --git a/dev-python/uritemplate/uritemplate-4.1.0.ebuild b/dev-python/uritemplate/uritemplate-4.1.0.ebuild
index 2addd2ab77ae..074931702c86 100644
--- a/dev-python/uritemplate/uritemplate-4.1.0.ebuild
+++ b/dev-python/uritemplate/uritemplate-4.1.0.ebuild
@@ -12,6 +12,6 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="Apache-2.0"
-KEYWORDS="amd64 arm ~arm64 ~hppa ~ia64 ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
distutils_enable_tests pytest
diff --git a/dev-python/utidylib/utidylib-0.7-r2.ebuild b/dev-python/utidylib/utidylib-0.7-r2.ebuild
index d0820ccb2839..b7c11078dd7f 100644
--- a/dev-python/utidylib/utidylib-0.7-r2.ebuild
+++ b/dev-python/utidylib/utidylib-0.7-r2.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/nijel/utidylib/archive/v${PV}.tar.gz -> ${P}.gh.tar.
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ppc ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm64 ppc ~ppc64 ~riscv x86"
RDEPEND=">=app-text/htmltidy-5.0.0"
diff --git a/dev-python/warlock/warlock-1.3.3.ebuild b/dev-python/warlock/warlock-1.3.3.ebuild
index 5a09b1e17c19..4793110be1fc 100644
--- a/dev-python/warlock/warlock-1.3.3.ebuild
+++ b/dev-python/warlock/warlock-1.3.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/bcwaldon/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.g
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
diff --git a/dev-python/websockets/websockets-10.0.ebuild b/dev-python/websockets/websockets-10.0.ebuild
index 9399eb6ba6fc..493501bed307 100644
--- a/dev-python/websockets/websockets-10.0.ebuild
+++ b/dev-python/websockets/websockets-10.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~hppa ~ppc ppc64 ~riscv sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ppc ppc64 ~riscv sparc x86"
distutils_enable_tests unittest
diff --git a/dev-python/werkzeug/werkzeug-2.0.2.ebuild b/dev-python/werkzeug/werkzeug-2.0.2.ebuild
index a1b4eb39bd45..91988247b6db 100644
--- a/dev-python/werkzeug/werkzeug-2.0.2.ebuild
+++ b/dev-python/werkzeug/werkzeug-2.0.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/zope-component/zope-component-4.4.1.ebuild b/dev-python/zope-component/zope-component-4.4.1.ebuild
index 0840e53165ea..da42d823d54b 100644
--- a/dev-python/zope-component/zope-component-4.4.1.ebuild
+++ b/dev-python/zope-component/zope-component-4.4.1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
RDEPEND="dev-python/namespace-zope[${PYTHON_USEDEP}]
dev-python/zope-event[${PYTHON_USEDEP}]